geo_element_auto< A >

## Public Types

typedef A | allocator_type
typedef reference_element::size_type | size_type
typedef reference_element::variant_type | variant_type
typedef geo_element::iterator | iterator
typedef geo_element::const_iterator | const_iterator
typedef geo_element::parameter_type | parameter_type
typedef geo_element | generic_type
typedef geo_element::automatic_type | automatic_type

## Public Member Functions

| geo_element_auto (const A &alloc=A())
| geo_element_auto (variant_type variant, size_type order=1, const A &alloc=A())
| geo_element_auto (parameter_type p, const A &alloc=A())
| geo_element_auto (const geo_element &K)
| geo_element_auto (const geo_element_auto< A > &K)
template<class A2 >
| geo_element_auto (const geo_element_auto< A2 > &K)
const geo_element_auto< A > & | operator= (const geo_element &K)
void | reset (variant_type variant, size_type order)
void | reset (const parameter_type &param)
template<class Archive >
void | serialize (Archive &ar, const unsigned int version)
iterator | _data_begin ()
const_iterator | _data_begin () const
iterator | _data_end ()
const_iterator | _data_end () const

## Public Attributes

std::vector< size_type, A > | _data

## Detailed Description

### template<class A = std::allocator<std::vector<int>::size_type>>
class rheolef::geo_element_auto< A >

Definition at line 99 of file geo_element.h.

## Member Typedef Documentation

## allocator_type

typedef A allocator_type

Definition at line 381 of file geo_element.h.

## size_type

typedef reference_element::size_type size_type

Definition at line 382 of file geo_element.h.

## variant_type

typedef reference_element::variant_type variant_type

Definition at line 383 of file geo_element.h.

## iterator

typedef geo_element::iterator iterator

Definition at line 384 of file geo_element.h.

## const_iterator

typedef geo_element::const_iterator const_iterator

Definition at line 385 of file geo_element.h.

## parameter_type

typedef geo_element::parameter_type parameter_type

Definition at line 386 of file geo_element.h.

## generic_type

typedef geo_element generic_type

Definition at line 387 of file geo_element.h.

## automatic_type

typedef geo_element::automatic_type automatic_type

Definition at line 388 of file geo_element.h.

## Constructor & Destructor Documentation

## geo_element_auto() [1/6]

geo_element_auto | ( | const A & | alloc = `A()` | ) |

explicit

Definition at line 392 of file geo_element.h.

## geo_element_auto() [2/6]

geo_element_auto | ( | variant_type | variant,
|  | size_type | order = `1`,
|  | const A & | alloc = `A()`
| ) |  |

explicit

Definition at line 398 of file geo_element.h.

## geo_element_auto() [3/6]

geo_element_auto | ( | parameter_type | p,
|  | const A & | alloc = `A()`
| ) |  |

explicit

Definition at line 404 of file geo_element.h.

## geo_element_auto() [4/6]

geo_element_auto | ( | const geo_element & | K | ) |

Definition at line 410 of file geo_element.h.

## geo_element_auto() [5/6]

geo_element_auto | ( | const geo_element_auto< A > & | K | ) |

Definition at line 413 of file geo_element.h.

## geo_element_auto() [6/6]

geo_element_auto | ( | const geo_element_auto< A2 > & | K | ) |

Definition at line 417 of file geo_element.h.

## Member Function Documentation

## operator=()

const geo_element_auto<A>& operator= | ( | const geo_element & | K | ) |

Definition at line 420 of file geo_element.h.

## reset() [1/2]

void reset | ( | variant_type | variant,
|  | size_type | order
| ) |  |

Definition at line 426 of file geo_element.h.

## reset() [2/2]

void reset | ( | const parameter_type & | param | ) |

Definition at line 431 of file geo_element.h.

## serialize()

void serialize | ( | Archive & | ar,
|  | const unsigned int | version
| ) |  |

Definition at line 436 of file geo_element.h.

## _data_begin() [1/2]

iterator _data_begin | ( |  | ) |

Definition at line 443 of file geo_element.h.

## _data_begin() [2/2]

const_iterator _data_begin | ( |  | ) | const

Definition at line 444 of file geo_element.h.

## _data_end() [1/2]

iterator _data_end | ( |  | ) |

Definition at line 445 of file geo_element.h.

## _data_end() [2/2]

const_iterator _data_end | ( |  | ) | const

Definition at line 446 of file geo_element.h.

## Member Data Documentation

## _data

std::vector<size_type,A> _data

Definition at line 452 of file geo_element.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/fem/geo_element/geo_element.h